#
# Makefile
#
# Makefile for the ooma network plugger
#
# $Id: $
#

OOMA_DIR = ..
include $(OOMA_DIR)/make.inc

version := $(shell awk '/define version/{print $$3}' netplug.spec)

prefix ?=
bindir ?= $(prefix)/sbin
etcdir ?= $(prefix)/etc/netplug
scriptdir ?= $(prefix)/etc/netplug.d
mandir ?= $(prefix)/usr/share/man

install_opts :=

CFLAGS += -Wall -Werror -std=gnu99 -DNP_ETC_DIR='"$(etcdir)"' \
	-DNP_SCRIPT_DIR='"$(scriptdir)"' -ggdb3 -O3 -DNP_VERSION='"$(version)"'

all: config.o netlink.o lib.o if_info.o main.o
	$(CC) $(LDFLAGS) -o netplugd $^
	cp -f netplugd netplugd.gdb
	$(STRIP) netplugd

install:

romfs:
	$(ROMFSINST) /bin/netplugd
	@grep -v ":/bin/netplugd" $(TARGET_DIR)/etc/inittab > /tmp/inittab.tmp
	@echo "null::respawn:/bin/netplugd -FP -c /dev/null -i eth1" >> /tmp/inittab.tmp
	@mv -f /tmp/inittab.tmp $(TARGET_DIR)/etc/inittab

clean:
	-rm -f netplugd *.o *.gdb
